#include "dictionary.h"

void rootexample()
{
	struct VIDINFHDR vinf;
	INT32 ret;

	initialize_vidinfhdr( &vinf );

	ret = grabframes( "znppitz7", 31777, 10, &vinf);

	if (ret == 0)
	{
		printf("Image data successfully grabbed.\n");
		ret = convert_format(&vinf, TYPE_IMC, FCN_NONE);
		if (ret == 0)
		{
			ret = save_file( TYPE_CHOOSE, "grabbed", &vinf); 
			if (ret == 0) 
				printf("Image data saved.\n");
			else
				printf("Error on save image data. ecode=%d\n", ret);
		}
		else printf("Error on converting image data to IMC file. ecode = %d\n", ret);
	}
	else
		printf("Error while grabbing image data. ecode=%d\n",ret);

}
